## ide-macros ide-macros |

## Functions

#define | ide_str_empty0()
#define | ide_str_equal()
#define | ide_str_equal0()
#define | ide_strv_empty0()
#define | ide_set_string()
#define | ide_clear_param()
#define | IDE_PTR_ARRAY_CLEAR_FREE_FUNC()
#define | IDE_PTR_ARRAY_SET_FREE_FUNC()
#define | IDE_PTR_ARRAY_STEAL_FULL()
gpointer | ide_ptr_array_steal_index ()
gboolean | ide_error_ignore ()
gboolean | ide_take_string ()
void | ide_clear_string ()
else | if ()
if | G_UNLIKELY ()
return | g_steal_pointer ()
void | ide_clear_and_destroy_object ()
GPtrArray * | ide_object_array_new ()
gpointer | ide_object_array_steal_index ()
gpointer | ide_object_array_index ()
void | ide_object_array_add ()
void | ide_object_array_unref ()
#define | IDE_OBJECT_ARRAY_STEAL_FULL()

## Types and Values

GPtrArray * | copy
typedef | IdeObjectArray

## Description

## Functions

### ide_str_empty0()

    #define ide_str_empty0(str)       (!(str) || !*(str))

### ide_str_equal()

    #define ide_str_equal(str1,str2)  (strcmp(str1,str2)==0)

### ide_str_equal0()

    #define ide_str_equal0(str1,str2) (g_strcmp0(str1,str2)==0)

### ide_strv_empty0()

    #define ide_strv_empty0(strv)     (((strv) == NULL) || ((strv)[0] == NULL))

### ide_set_string()

    #define ide_set_string(ptr,str)   (ide_take_string((ptr), g_strdup(str)))

### ide_clear_param()

    #define             ide_clear_param(pptr, pval)

### IDE_PTR_ARRAY_CLEAR_FREE_FUNC()

    #define             IDE_PTR_ARRAY_CLEAR_FREE_FUNC(ar)

### IDE_PTR_ARRAY_SET_FREE_FUNC()

    #define             IDE_PTR_ARRAY_SET_FREE_FUNC(ar, func)

### IDE_PTR_ARRAY_STEAL_FULL()

    #define             IDE_PTR_ARRAY_STEAL_FULL(arptr)

### ide_ptr_array_steal_index ()

    gpointer
    ide_ptr_array_steal_index (GPtrArray *array,
                               guint index,
                               GDestroyNotify free_func);

### ide_error_ignore ()

    gboolean
    ide_error_ignore (const GError *error);

### ide_take_string ()

    gboolean
    ide_take_string (gchar **ptr,
                     gchar *str);

### ide_clear_string ()

    void
    ide_clear_string (gchar **ptr);

### if ()

    else
    if ();

### G_UNLIKELY ()

    if
    G_UNLIKELY ();

### g_steal_pointer ()

    return
    g_steal_pointer ();

### ide_clear_and_destroy_object ()

    void
    ide_clear_and_destroy_object (gpointer pptr);

### ide_object_array_new ()

    GPtrArray *
    ide_object_array_new (void);

### ide_object_array_steal_index ()

    gpointer
    ide_object_array_steal_index (IdeObjectArray *array,
                                  guint position);

### ide_object_array_index ()

    gpointer
    ide_object_array_index (IdeObjectArray *array,
                            guint position);

### ide_object_array_add ()

    void
    ide_object_array_add (IdeObjectArray *ar,
                          gpointer instance);

### ide_object_array_unref ()

    void
    ide_object_array_unref (IdeObjectArray *ar);

### IDE_OBJECT_ARRAY_STEAL_FULL()

    #define IDE_OBJECT_ARRAY_STEAL_FULL(ar) IDE_PTR_ARRAY_STEAL_FULL(ar)

## Types and Values

### copy

          GPtrArray *copy = g_ptr_array_new_full (ar->len, g_object_unref);

### IdeObjectArray

    typedef GPtrArray IdeObjectArray;